CLI
cadenya agents variations list agent_123require "cadenya"
client = Cadenya::Client.new
client.agents.variations.list("agent_123").each do |item|
puts item.inspect
endpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.AgentVariationListParams{}
result, err := client.Agents().Variations().List(ctx, "agent_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const page = await client.agents.variations.list('agent_123');
for await (const item of page) {
console.log(item);
}from cadenya import Cadenya
with Cadenya() as client:
for item in client.agents.variations.list("agent_123"):
print(item){
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>"
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"assignments": [
{
"type": "tool",
"tool": {
"id": "<string>",
"name": "<string>"
},
"id": "avt_01HXKD2E5NQM3T9AYWCFJE6K89"
}
],
"memoryLayerAssignments": [
{
"id": "avml_01HXKD2E5NQM3T9AYWCFX8AF59",
"memoryLayer": {
"id": "<string>",
"name": "<string>"
},
"position": 123
}
],
"memoryLayerCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Agent Variations
List variations
Lists all variations for an agent
GET
/
v1
/
workspaces
/
{workspaceId}
/
agents
/
{agentId}
/
variations
CLI
cadenya agents variations list agent_123require "cadenya"
client = Cadenya::Client.new
client.agents.variations.list("agent_123").each do |item|
puts item.inspect
endpackage main
import (
"context"
"fmt"
"log"
cadenya "go.cadenya.com/cadenya-go"
)
func main() {
client, err := cadenya.NewClient()
if err != nil {
log.Fatal(err)
}
ctx := context.Background()
params := &cadenya.AgentVariationListParams{}
result, err := client.Agents().Variations().List(ctx, "agent_123", params)
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
}import Cadenya from '@cadenya/cadenya';
const client = new Cadenya();
const page = await client.agents.variations.list('agent_123');
for await (const item of page) {
console.log(item);
}from cadenya import Cadenya
with Cadenya() as client:
for item in client.agents.variations.list("agent_123"):
print(item){
"items": [
{
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"systemPromptTemplate": "<string>",
"progressiveDiscovery": {
"maxTools": 123,
"hints": [
"<string>"
]
},
"constraints": {
"maxToolCalls": 123,
"maxSubObjectives": 123,
"inactivityTimeout": "<string>"
},
"description": "<string>",
"modelConfig": {
"modelId": "claude/opus-4.6",
"temperature": 123,
"topP": 123,
"topK": 123,
"stopSequences": [
"<string>"
],
"maxOutputTokens": 123,
"reasoningEffort": "REASONING_EFFORT_UNSPECIFIED",
"cachingEnabled": true
},
"compactionConfig": {
"triggerThreshold": 123,
"summarization": {
"instructions": "<string>"
},
"toolResultClearing": {
"preserveRecentResults": 123
}
},
"firstUserMessageTemplate": "<string>"
},
"info": {
"toolCount": 123,
"toolSetCount": 123,
"subAgentCount": 123,
"score": 123,
"feedbackCount": 123,
"assignments": [
{
"type": "tool",
"tool": {
"id": "<string>",
"name": "<string>"
},
"id": "avt_01HXKD2E5NQM3T9AYWCFJE6K89"
}
],
"memoryLayerAssignments": [
{
"id": "avml_01HXKD2E5NQM3T9AYWCFX8AF59",
"memoryLayer": {
"id": "<string>",
"name": "<string>"
},
"position": 123
}
],
"memoryLayerCount": 123,
"createdBy": {
"metadata": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z"
},
"spec": {
"email": "<string>",
"name": "<string>",
"type": "PROFILE_TYPE_UNSPECIFIED"
}
},
"model": {
"id": "<string>",
"accountId": "account_01HXKD2E5NQM3T9AYWCFTJHJVF",
"workspaceId": "workspace_01HXKD2E5NQM3T9AYWCF133E3Q",
"name": "<string>",
"externalId": "<string>",
"labels": {},
"profileId": "profile_01HXKD2E5NQM3T9AYWCFS0AP08",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}
}
],
"pagination": {
"nextCursor": "<string>"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Workspace ID.
Example:
"workspace_01HXKD2E5NQM3T9AYWCF133E3Q"
Agent ID. Accepts the canonical agent_… form or the external_id:<value> form.
Example:
"agent_01HXKD2E5NQM3T9AYWCFMGWT9Y"
Query Parameters
Maximum number of results to return
Pagination cursor from previous response
Sort order for results (asc or desc by creation time)
When true, the info field on each returned variation is populated.
Requests with this flag count more against your rate limit.
Filters by metadata labels. Comma-separated key=value pairs, e.g. "env=prod,team=ai". A resource matches only if every pair matches exactly (AND semantics).